Last Comment Bug 698255 - Make pymake runtests.py's grep-for option work
: Make pymake runtests.py's grep-for option work
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla10
Assigned To: Siddharth Agarwal [:sid0] (inactive)
:
Mentors:
Depends on:
Blocks: 698213 698257
  Show dependency treegraph
 
Reported: 2011-10-30 02:19 PDT by Siddharth Agarwal [:sid0] (inactive)
Modified: 2011-11-02 06:24 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (812 bytes, patch)
2011-10-30 02:19 PDT, Siddharth Agarwal [:sid0] (inactive)
khuey: review+
Details | Diff | Splinter Review

Description Siddharth Agarwal [:sid0] (inactive) 2011-10-30 02:19:20 PDT
Created attachment 570532 [details] [diff] [review]
patch

We didn't actually check for grep-for strings, I found.

I couldn't think of a way to write a test for the test harness (a meta-test I guess).
Comment 1 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-10-31 05:25:05 PDT
Comment on attachment 570532 [details] [diff] [review]
patch

Review of attachment 570532 [details] [diff] [review]:
-----------------------------------------------------------------

Heh
Comment 2 Siddharth Agarwal [:sid0] (inactive) 2011-10-31 05:43:21 PDT
http://hg.mozilla.org/users/bsmedberg_mozilla.com/pymake/rev/75d1479a6688
Comment 3 Siddharth Agarwal [:sid0] (inactive) 2011-11-02 06:14:46 PDT
Fixed with https://hg.mozilla.org/mozilla-central/rev/d13cb5295a37.

Note You need to log in before you can comment on or make changes to this bug.